View Issue Details

IDProjectCategoryLast Update
0019445AI War 2[All Projects] Crash/ExceptionMar 14, 2018 4:46 pm
ReporterAustnealAssigned Tokeith.lamothe 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.707 
Fixed in Version0.712 
Summary0019445: Exception on startup
DescriptionI get an exception immediately upon starting the same, and when clicking the "Start new game" button. Logs attached.
TagsNo tags attached.

Relationships

related to 0019457 resolvedkeith.lamothe Can't start a new game 

Activities

Austneal

Feb 20, 2018 4:14 am

reporter  

ArcenDebugLog.txt (53,650 bytes)
9/25/2017 6:24:05 PM	Calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/25/2017 6:24:05 PM	Finished calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/25/2017 6:24:07 PM	Harmless Info: dll AIWarExternalVisualizationCode does not contain a IInitialSetupForDLL type. This is fine, but if you're the author of that dll and want it to run init-code, it ain't happening right now.
9/25/2017 6:25:31 PM	World Created, Launching Server
9/25/2017 6:25:32 PM	Successfully opened host socket
9/25/2017 6:39:50 PM	Shutting Down Socket
9/25/2017 6:39:50 PM	PLAYER DISCONNECTED 0.0.0.0=>0
9/25/2017 6:39:50 PM	World Created, Launching Server
9/25/2017 6:39:50 PM	Successfully opened host socket
9/25/2017 6:45:46 PM
-----------
ArgumentNullException: Argument cannot be null.
Parameter name: key
Stack Trace: System.Collections.Generic.Dictionary`2[Arcen.AIW2.Core.GameEntity,Arcen.Universal.ArcenSparseLookupPair`2[Arcen.AIW2.Core.GameEntity,Arcen.Universal.ArcenPoint]].ContainsKey (Arcen.AIW2.Core.GameEntity key) (at /Users/builduser/buildslave/mono/build/mcs/class/corlib/System.Collections.Generic/Dictionary.cs:474)
Arcen.Universal.ArcenSparseLookup`2[Arcen.AIW2.Core.GameEntity,Arcen.Universal.ArcenPoint].SetItemForKey (Arcen.AIW2.Core.GameEntity Key, ArcenPoint Item) (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/ArcenCollections/ArcenSparseLookup.cs:121)
Arcen.Universal.ArcenSparseLookup`2[Arcen.AIW2.Core.GameEntity,Arcen.Universal.ArcenPoint].set_Item (Arcen.AIW2.Core.GameEntity key, ArcenPoint value) (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/ArcenCollections/ArcenSparseLookup.cs:140)
Arcen.AIW2.External.UtilityFunctions_Formation.Helper_FindAndPlaceCoreUnit (Arcen.AIW2.Core.ControlGroup Group, ArcenPoint MoveOrderPoint, Arcen.Universal.ArcenSparseLookup`2& _entitiesToPlace, Arcen.AIW2.Core.GameEntity& coreUnit, System.Int32& shieldCoverageRadiusOrEquivalent, System.Int32& paddingAroundEachUnit, Arcen.Universal.ArcenRectangle& firstUnitRect)
Arcen.AIW2.External.Formation_Blob.HandleMovementOrder (Arcen.AIW2.Core.ControlGroup Group, ArcenPoint MoveOrderPoint, Boolean isQueuedCommand)
Arcen.AIW2.Core.ArcenInput_AIW2.HandleSecondaryClickOnEmptySpacePoint (ArcenInputFlags InputFlags, ArcenPoint SimPointUnderCursor) (at C:/vcprojs/arcengames_aiw_ultra/ArcenAIW2Core/src/Logic/ArcenInput_AIW2.cs:185)
Arcen.AIW2.Core.ArcenInput_AIW2.HandleMouseEvent_PlanetView (ArcenMouseEventType EventType, ArcenInputFlags InputFlags, ArcenPoint SimPointUnderCursor, Arcen.AIW2.Core.GameEntity EntityUnderCursor, Boolean InBandBoxMode) (at C:/vcprojs/arcengames_aiw_ultra/ArcenAIW2Core/src/Logic/ArcenInput_AIW2.cs:121)
SelectionManager.Update () (at C:/vcprojs/arcengames_aiw_ultra/ArcenAIW2Visualization/src/SelectionManager/SelectionManager.cs:134)



   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 140
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 109
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 88
   at Arcen.Universal.Engine_Universal.LogWritten(System.String LogString, System.String StackTrace, LogType Type, System.Exception Cause, Boolean CameFromUnity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 660
   at Arcen.Universal.Engine_Universal.LogWrittenFromUnity(System.String LogString, System.String StackTrace, LogType Type) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 613
   at UnityEngine.Application.CallLogCallback(System.String logString, System.String stackTrace, LogType type, Boolean invokedOnMainThread) in C:\buildslave\unity\build\artifacts\generated\common\runtime\ApplicationBindings.gen.cs:line 570

9/25/2017 6:45:46 PM
ErrorsReportedByEngine:    -----------
ArgumentNullException: Argument cannot be null.
Parameter name: key
Stack Trace: System.Collections.Generic.Dictionary`2[Arcen.AIW2.Core.GameEntity,Arcen.Universal.ArcenSparseLookupPair`2[Arcen.AIW2.Core.GameEntity,Arcen.Universal.ArcenPoint]].ContainsKey (Arcen.AIW2.Core.GameEntity key) (at /Users/builduser/buildslave/mono/build/mcs/class/corlib/System.Collections.Generic/Dictionary.cs:474)
Arcen.Universal.ArcenSparseLookup`2[Arcen.AIW2.Core.GameEntity,Arcen.Universal.ArcenPoint].SetItemForKey (Arcen.AIW2.Core.GameEntity Key, ArcenPoint Item) (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/ArcenCollections/ArcenSparseLookup.cs:121)
Arcen.Universal.ArcenSparseLookup`2[Arcen.AIW2.Core.GameEntity,Arcen.Universal.ArcenPoint].set_Item (Arcen.AIW2.Core.GameEntity key, ArcenPoint value) (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/ArcenCollections/ArcenSparseLookup.cs:140)
Arcen.AIW2.External.UtilityFunctions_Formation.Helper_FindAndPlaceCoreUnit (Arcen.AIW2.Core.ControlGroup Group, ArcenPoint MoveOrderPoint, Arcen.Universal.ArcenSparseLookup`2& _entitiesToPlace, Arcen.AIW2.Core.GameEntity& coreUnit, System.Int32& shieldCoverageRadiusOrEquivalent, System.Int32& paddingAroundEachUnit, Arcen.Universal.ArcenRectangle& firstUnitRect)
Arcen.AIW2.External.Formation_Blob.HandleMovementOrder (Arcen.AIW2.Core.ControlGroup Group, ArcenPoint MoveOrderPoint, Boolean isQueuedCommand)
Arcen.AIW2.Core.ArcenInput_AIW2.HandleSecondaryClickOnEmptySpacePoint (ArcenInputFlags InputFlags, ArcenPoint SimPointUnderCursor) (at C:/vcprojs/arcengames_aiw_ultra/ArcenAIW2Core/src/Logic/ArcenInput_AIW2.cs:185)
Arcen.AIW2.Core.ArcenInput_AIW2.HandleMouseEvent_PlanetView (ArcenMouseEventType EventType, ArcenInputFlags InputFlags, ArcenPoint SimPointUnderCursor, Arcen.AIW2.Core.GameEntity EntityUnderCursor, Boolean InBandBoxMode) (at C:/vcprojs/arcengames_aiw_ultra/ArcenAIW2Core/src/Logic/ArcenInput_AIW2.cs:121)
SelectionManager.Update () (at C:/vcprojs/arcengames_aiw_ultra/ArcenAIW2Visualization/src/SelectionManager/SelectionManager.cs:134)



   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 140
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 109
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 88
   at Arcen.Universal.Engine_Universal.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText, Boolean SuppressArcenDebugLog) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 1099
   at Arcen.Universal.Engine_Universal.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 1065
   at Arcen.Universal.Engine_Universal.LogWritten(System.String LogString, System.String StackTrace, LogType Type, System.Exception Cause, Boolean CameFromUnity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 663
   at Arcen.Universal.Engine_Universal.LogWrittenFromUnity(System.String LogString, System.String StackTrace, LogType Type) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 613
   at UnityEngine.Application.CallLogCallback(System.String logString, System.String stackTrace, LogType type, Boolean invokedOnMainThread) in C:\buildslave\unity\build\artifacts\generated\common\runtime\ApplicationBindings.gen.cs:line 570

9/25/2017 7:00:15 PM	Shutting Down Socket
9/25/2017 7:00:15 PM	PLAYER DISCONNECTED 0.0.0.0=>0
9/25/2017 7:00:36 PM	Calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/25/2017 7:00:36 PM	Finished calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/25/2017 7:00:39 PM	Harmless Info: dll AIWarExternalVisualizationCode does not contain a IInitialSetupForDLL type. This is fine, but if you're the author of that dll and want it to run init-code, it ain't happening right now.
9/25/2017 7:02:09 PM	Calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/25/2017 7:02:09 PM	Finished calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/25/2017 7:02:11 PM	Harmless Info: dll AIWarExternalVisualizationCode does not contain a IInitialSetupForDLL type. This is fine, but if you're the author of that dll and want it to run init-code, it ain't happening right now.
9/25/2017 7:02:32 PM	World Created, Launching Server
9/25/2017 7:02:33 PM	Successfully opened host socket
9/25/2017 7:03:20 PM	Shutting Down Socket
9/25/2017 7:03:20 PM	PLAYER DISCONNECTED 0.0.0.0=>0
9/25/2017 7:03:27 PM	Calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/25/2017 7:03:27 PM	Finished calling RunInitialSetup for Arcen.AIW2.External.InitialSetupForDLL from AIWarExternalCode
9/25/2017 7:03:29 PM	Harmless Info: dll AIWarExternalVisualizationCode does not contain a IInitialSetupForDLL type. This is fine, but if you're the author of that dll and want it to run init-code, it ain't happening right now.
9/25/2017 7:03:45 PM	World Created, Launching Server
9/25/2017 7:03:45 PM	Successfully opened host socket
9/25/2017 7:15:44 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:15:48 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:15:49 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:15:49 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:15:50 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:00 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:00 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:02 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:06 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:07 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:07 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:07 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:07 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:07 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:08 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:08 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:08 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:10 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:19 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:20 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:20 PM	File does not exist
path="D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save~#CM#139443419#602#ClustersMicrocosm.139443419#Vanilla#Normal.save"
oldPath=D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/Save.save
9/25/2017 7:16:23 PM	Shutting Down Socket
9/25/2017 7:16:23 PM	PLAYER DISCONNECTED 0.0.0.0=>0
9/25/2017 7:16:23 PM	World Created, Launching Server
9/25/2017 7:16:23 PM	Successfully opened host socket
9/25/2017 7:25:14 PM	Shutting Down Socket
9/25/2017 7:25:14 PM	PLAYER DISCONNECTED 0.0.0.0=>0
9/25/2017 7:25:14 PM	World Created, Launching Server
9/25/2017 7:25:14 PM	Successfully opened host socket
9/25/2017 7:32:07 PM	Shutting Down Socket
9/25/2017 7:32:07 PM	PLAYER DISCONNECTED 0.0.0.0=>0
2/17/2018 2:51:31 AM	Current directory used: D:/Program Files (x86)/Steam/steamapps/common/AI War 2/
2/17/2018 2:51:31 AM	Process Count = 0 so PlayerDataDirectory used: D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
2/17/2018 2:52:02 AM	Error: table 'MapTypeDataTable' does not have data for the following rows, which were referenced somewhere:
ClustersMicrocosm
2/17/2018 2:52:03 AM	Game Version: 0.706
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: True
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.0) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 970
graphicsDeviceID: 5058
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 4058
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz
processorCount: 8
processorFrequency: 4008
systemMemorySize: 16309
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
2/17/2018 2:52:03 AM	No resolution change was required.
2/17/2018 2:52:03 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
2/17/2018 2:52:03 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
2/17/2018 2:52:03 AM	MasterVolume set to -33.75 dB (25% Volume On Interface)
2/17/2018 2:52:17 AM	World Created, Launching Server
2/17/2018 2:52:17 AM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	426	929	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1501	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	816	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:929 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:816 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 818
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

2/17/2018 2:52:18 AM	Successfully opened host socket
2/17/2018 2:52:23 AM	PLAYER DISCONNECTED 0.0.0.0=>0
2/17/2018 2:52:23 AM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 920
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 816
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

2/17/2018 2:52:23 AM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	426	929	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1501	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	816	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:929 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:816 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 818
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

2/17/2018 2:52:23 AM	Successfully opened host socket
2/17/2018 2:52:49 AM	PLAYER DISCONNECTED 0.0.0.0=>0
2/17/2018 2:53:39 AM	Current directory used: D:/Program Files (x86)/Steam/steamapps/common/AI War 2/
2/17/2018 2:53:39 AM	Process Count = 0 so PlayerDataDirectory used: D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
2/17/2018 2:53:45 AM	Error: table 'MapTypeDataTable' does not have data for the following rows, which were referenced somewhere:
ClustersMicrocosm
2/17/2018 2:53:45 AM	Game Version: 0.706
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: True
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.0) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 970
graphicsDeviceID: 5058
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 4058
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz
processorCount: 8
processorFrequency: 4008
systemMemorySize: 16309
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
2/17/2018 2:53:45 AM	Resolution changed to fullscreen 1440x2560
2/17/2018 2:53:45 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
2/17/2018 2:53:45 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
2/17/2018 2:53:45 AM	MasterVolume set to -33.75 dB (25% Volume On Interface)
2/17/2018 2:53:53 AM	World Created, Launching Server
2/17/2018 2:53:53 AM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	426	929	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1501	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	816	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:929 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:816 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 818
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

2/17/2018 2:53:53 AM	Successfully opened host socket
2/17/2018 2:53:56 AM	PLAYER DISCONNECTED 0.0.0.0=>0
2/17/2018 2:53:56 AM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 920
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 816
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

2/17/2018 2:53:56 AM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	426	929	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1501	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	816	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:929 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:816 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 818
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

2/17/2018 2:53:56 AM	Successfully opened host socket
2/17/2018 2:53:58 AM	PLAYER DISCONNECTED 0.0.0.0=>0
2/17/2018 2:53:58 AM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 920
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 816
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

2/17/2018 2:53:58 AM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	426	929	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1501	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	816	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:929 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:816 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 818
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

2/17/2018 2:53:58 AM	Successfully opened host socket
2/17/2018 2:53:59 AM	PLAYER DISCONNECTED 0.0.0.0=>0
2/20/2018 3:06:42 AM	Current directory used: D:/Program Files (x86)/Steam/steamapps/common/AI War 2/
2/20/2018 3:06:42 AM	Process Count = 0 so PlayerDataDirectory used: D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
2/20/2018 3:07:14 AM	Error: table 'MapTypeDataTable' does not have data for the following rows, which were referenced somewhere:
ClustersMicrocosm
2/20/2018 3:07:15 AM	Game Version: 0.707
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: True
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.0) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 970
graphicsDeviceID: 5058
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 4058
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz
processorCount: 8
processorFrequency: 4008
systemMemorySize: 16309
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
2/20/2018 3:07:15 AM	Resolution changed to fullscreen 1440x2560
2/20/2018 3:07:15 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
2/20/2018 3:07:15 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
2/20/2018 3:07:15 AM	MasterVolume set to -33.75 dB (25% Volume On Interface)
2/20/2018 3:07:32 AM	World Created, Launching Server
2/20/2018 3:07:32 AM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	426	928	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1501	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	816	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:928 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:816 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 818
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

2/20/2018 3:07:32 AM	Successfully opened host socket
2/20/2018 3:07:36 AM	PLAYER DISCONNECTED 0.0.0.0=>0
2/20/2018 3:07:36 AM
Error: called CreateGalaxies more than once between resetting world

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.AIW2.Core.World_AIW2.CreateGalaxies(Arcen.AIW2.Core.ArcenSimContext Context) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 919
   at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:line 62
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 816
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

2/20/2018 3:07:36 AM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	426	928	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1501	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	816	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:928 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:816 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 818
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

2/20/2018 3:07:36 AM	Successfully opened host socket
2/20/2018 3:07:37 AM	PLAYER DISCONNECTED 0.0.0.0=>0
2/20/2018 3:07:37 AM	World Created, Launching Server
2/20/2018 3:07:37 AM	Successfully opened host socket
2/20/2018 3:07:39 AM	PLAYER DISCONNECTED 0.0.0.0=>0
2/20/2018 3:07:39 AM	World Created, Launching Server
2/20/2018 3:07:39 AM	Successfully opened host socket
2/20/2018 3:07:40 AM	PLAYER DISCONNECTED 0.0.0.0=>0
2/20/2018 3:07:40 AM	World Created, Launching Server
2/20/2018 3:07:40 AM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	426	928	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1501	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	816	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:928 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:816 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 818
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

2/20/2018 3:07:40 AM	Successfully opened host socket
2/20/2018 3:07:45 AM	PLAYER DISCONNECTED 0.0.0.0=>0
2/20/2018 3:11:58 AM	Current directory used: D:/Program Files (x86)/Steam/steamapps/common/AI War 2/
2/20/2018 3:11:58 AM	Process Count = 0 so PlayerDataDirectory used: D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
2/20/2018 3:12:04 AM	Error: table 'MapTypeDataTable' does not have data for the following rows, which were referenced somewhere:
ClustersMicrocosm
2/20/2018 3:12:04 AM	Game Version: 0.707
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: True
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.0) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 970
graphicsDeviceID: 5058
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 4058
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz
processorCount: 8
processorFrequency: 4008
systemMemorySize: 16309
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
2/20/2018 3:12:04 AM	Resolution changed to fullscreen 1440x2560
2/20/2018 3:12:04 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
2/20/2018 3:12:04 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
2/20/2018 3:12:04 AM	MasterVolume set to -33.75 dB (25% Volume On Interface)
2/20/2018 3:13:36 AM	World Created, Launching Server
2/20/2018 3:13:36 AM
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	CreateGalaxies	156	426	928	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs	WorkThreadOnly_GenerateNewGame	541	1501	62	0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs	WorkThreadOnly_StartNewGame	13	68	816	0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:928 
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62 
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:816 

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 818
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

2/20/2018 3:13:36 AM	Successfully opened host socket
ArcenDebugLog.txt (53,650 bytes)

BadgerBadger

Feb 20, 2018 7:59 am

manager   ~0047011

Last edited: Feb 20, 2018 8:02 am

View 2 revisions

The relevant bit is
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE METHOD IL_OFFSET NATIVE_OFFSET LINE_NUMBER COLUMN_NUMBER
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs CreateGalaxies 156 426 928 0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs WorkThreadOnly_GenerateNewGame 541 1501 62 0
C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs WorkThreadOnly_StartNewGame 13 68 816 0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x0009c] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:928
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0021d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\Mapgen.cs:62
  at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame () [0x0000d] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:816

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 143
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 112
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 91
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, System.String message, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 267
   at Arcen.Universal.ArcenDebugging.LogException(System.Exception e, Verbosity verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 214
   at Arcen.AIW2.Core.Engine_AIW2.WorkThreadOnly_StartNewGame() in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 818
   at Arcen.AIW2.Core.Engine_AIW2+<StartWorkThread>c__AnonStorey1.<>m__0(System.Object ) in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:line 738

I also see
2/20/2018 3:11:58 AM Process Count = 0 so PlayerDataDirectory used: D:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
2/20/2018 3:12:04 AM Error: table 'MapTypeDataTable' does not have data for the following rows, which were referenced somewhere:
ClustersMicrocosm

ClustersMicrocosm was removed from the game (it's now available as a dropdown from under the Clusters map type). Could you try editing the ~/AIWar2/PlayerData/newsettings.dat and replacing the line
LastSetup_MapType="ClustersMicrocosm"
with
LastSetup_MapType="Clusters"

x4000Bughunter

Feb 20, 2018 10:07 am

administrator   ~0047013

Just as a one-off sanity check, could you try having Steam validate your local file cache? That probably isn't the issue, but you never know.

x4000Bughunter

Feb 20, 2018 10:09 am

administrator   ~0047014

Keith, my best guess with that is stale data or stale defaults or something. After reading more carefully, Badger already figured that out.

x4000Bughunter

Feb 20, 2018 10:09 am

administrator   ~0047015

Crud. I forgot to say -- we need to make it fail more gracefully in this sort of case in general, though, unless we want constant bug reports in the future from anyone using mods.

BadgerBadger

Feb 20, 2018 10:13 am

manager   ~0047017

On obvious way this gets hit is "I'm trying to mod in a new map type, and the last game I started was with that new map type. I update Steam, which overwrites the XML for my new map type. Then I forget to restore the XML and try to start the game. It will explode thusly" In this case, the user shot themself in the foot, but in a really not obvious way.

x4000Bughunter

Feb 20, 2018 10:45 am

administrator   ~0047021

For sure.

Austneal

Feb 20, 2018 7:07 pm

reporter   ~0047025

Validated game files through steam. Still getting exceptions.

BadgerBadger

Feb 21, 2018 1:59 pm

manager   ~0047033

zeusalmighty on the forums took some time out of hitting things with thunderbolts to report the same problem.

x4000Bughunter

Mar 14, 2018 2:20 pm

administrator   ~0047166

Has this been resolved?

keith.lamothe

Mar 14, 2018 4:46 pm

administrator   ~0047177

For 0.712:

* Now when the game is loading your profile file or settings file, and it's looking up an xml-entry referenced by that file, and it can't find it, it will use the default for that type of xml-entry. It will still generate warning (which may or may not be visible depending on the situation) but not a full-screen error.
** Unless there is no default defined either, of course; in that case it will still fail in an ugly fashion because something's pretty borked.

Thanks :)

Issue History

Date Modified Username Field Change
Feb 20, 2018 4:14 am Austneal New Issue
Feb 20, 2018 4:14 am Austneal File Added: ArcenDebugLog.txt
Feb 20, 2018 7:59 am BadgerBadger Note Added: 0047011
Feb 20, 2018 8:02 am BadgerBadger Note Edited: 0047011 View Revisions
Feb 20, 2018 10:07 am x4000Bughunter Note Added: 0047013
Feb 20, 2018 10:08 am x4000Bughunter Assigned To => keith.lamothe
Feb 20, 2018 10:08 am x4000Bughunter Status new => assigned
Feb 20, 2018 10:09 am x4000Bughunter Note Added: 0047014
Feb 20, 2018 10:09 am x4000Bughunter Note Added: 0047015
Feb 20, 2018 10:13 am BadgerBadger Note Added: 0047017
Feb 20, 2018 10:45 am x4000Bughunter Note Added: 0047021
Feb 20, 2018 7:07 pm Austneal Note Added: 0047025
Feb 21, 2018 1:59 pm BadgerBadger Note Added: 0047033
Feb 25, 2018 6:06 pm BadgerBadger Relationship added related to 0019457
Mar 14, 2018 2:20 pm x4000Bughunter Status assigned => feedback
Mar 14, 2018 2:20 pm x4000Bughunter Note Added: 0047166
Mar 14, 2018 4:46 pm keith.lamothe Status feedback => resolved
Mar 14, 2018 4:46 pm keith.lamothe Resolution open => fixed
Mar 14, 2018 4:46 pm keith.lamothe Fixed in Version => 0.712
Mar 14, 2018 4:46 pm keith.lamothe Note Added: 0047177